<template>
  <q-page class="flex flex-center">
    <div class="q-pa-md column wrap items-center">
      <div class="q-mb-md row fit justify-center">
        <img alt="StreetViewer" src="streetviewer.svg" />
      </div>

      <div class="row fit justify-center">
        <q-card key="rect" flat bordered class="SV__home-window">
          <q-card-section class="bg-primary text-white" align="center">
            <div class="text-caption text-bold">
              Enter an address to view, or click "Import" in the menu at left to
              bulk download.
            </div>
          </q-card-section>

          <q-separator />

          <q-card-section>
            <q-skeleton type="rect" height="300px" />
          </q-card-section>

          <q-form>
            <q-input
              v-model="address"
              class="q-pa-md q-mb-md SV__search-field"
              hint="Address"
            >
              <template #append>
                <q-btn
                  flat
                  :ripple="false"
                  icon="fa-solid fa-search"
                  @click="searchAddress"
                />
              </template>
            </q-input>
          </q-form>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
import { defineComponent } from "vue";

export default defineComponent({
  name: "HomePage",

  data() {
    let address = "";

    return {
      address,
    };
  },
  methods: {
    searchAddress() {
      console.log(this.address);
    },
  },
});
</script>

<style lang="sass">
.SV

  &__home-window
    max-width: 600px
    width: 100%

  &__search-field
    width: 100%
</style>
